%global npmname http-proxy
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist colors optimist pkginfo

Summary: A full-featured http reverse proxy for node.js
Name: nodejs-%{npmname}
Version: 0.8.4
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/nodejitsu/node-http-proxy
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-colors
Requires: nodejs-optimist >= 0.3
Requires: nodejs-pkginfo >= 0.2
Provides: nodejs-%{npmname} = %{version}

%description
A full-featured http reverse proxy for node.js

Let's suppose you were running multiple http application servers,
but you only wanted to expose one machine to the internet. 
You could setup node-http-proxy on that one machine and then reverse-proxy 
the incoming http requests to locally running services which were not
exposed to the outside network.

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr .npmignore .travis.yml bin lib package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Run the scripts (except test scripts)

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{npminstdir}/bin/node-http-proxy %{buildroot}%{_bindir}/node-http-proxy

%files
%doc README.md CHANGELOG.md LICENSE examples config.sample.json benchmarks
%{npminstdir}
%{_bindir}/node-http-proxy

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.8.4
- Initial build using tchor spec template

